Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.lexerapplications.thumbelina
Class TileSet

    java.lang.Object
      org.htmlparser.lexerapplications.thumbelina.TileSet

    public class TileSet

extends Object

Class to track picture regions.

Field Summary
`protected Vector` | `mRegions` The list of Pictures.

Constructor Summary
`TileSet()` Construct a tile set.

Method Summary
`void` | `add(Picture r)` Add a single picture to the list.
`void` | `bringToTop(Picture picture)` Move the given picture to the top of the Z order.
`Enumeration` | `getPictures()` Get the list of pictures.
`int` | `getSize()` Get the number of tiles in this collection.
`Picture` | `pictureAt(int x, int y)` Find the Picture at position x,y

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mRegions

    protected Vector mRegions

  The list of Pictures.

Constructor Detail

### TileSet

    public TileSet()

  Construct a tile set.

Method Detail

### getSize

    public int getSize()

  Get the number of tiles in this collection.

  Returns:
    The number of pictures showing. Note that the same image and URL may be showing (different pieces) in several locations.

### getPictures

    public Enumeration getPictures()

  Get the list of pictures.

  Returns:
    An enumeration over the picture objects in this set.

### add

    public void add(Picture r)

  Add a single picture to the list.

  Parameters:
    `r` - The picture to add.

### pictureAt

    public Picture pictureAt(int x,
                             int y)

  Find the Picture at position x,y

  Parameters:
    `x` - The x coordinate of the point to examine.
    `y` - The y coordinate of the point to examine.
  Returns:
    The picture at that point, or `null` if there are none.

### bringToTop

    public void bringToTop(Picture picture)

  Move the given picture to the top of the Z order.

  Parameters:
    `picture` - The picture to add.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |